#include "mbed.h"
#include "x_nucleo_iks01a1.h"
#include "x_nucleo_iks01a1_imu_6axes.h"
#include "x_nucleo_iks01a1_magneto.h"
#include "x_nucleo_iks01a1_pressure.h"
#include "x_nucleo_iks01a1_hum_temp.h"


#ifdef __cplusplus
 extern "C" {
#endif


class Envt_Shield_API
{
    public:
        
        uint8_t Pressure_Init(void);
        uint8_t Pressure_isInitialized(void);
        void Pressure_Reset(void);
        uint8_t Pressure_ReadID(void);
        
        void Pressure_GetPressure(float* pfData);
        void Pressure_GetTemperature(float* pfData);
        uint8_t Hum_Temp_Init(void);
        uint8_t Hum_Temp_isInitialized(void);
        void Hum_Temp_Reset(void);
        uint8_t Hum_Temp_ReadID(void);
        
        void Hum_Temp_GetHumidity(float* pfData);
        void Hum_Temp_GetTemperature(float* pfData);
        void Hum_Temp_PowerOFF();
    
};

#ifdef __cplusplus
}
#endif